=== debian/changelog ===
ros-iron-spdlog-vendor (1.4.4-2jammy) jammy; urgency=high

  * Update to spdlog 1.9.2 (#33 <https://github.com/ros2/spdlog_vendor/issues/33>)
  * Contributors: Scott K Logan

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-iron-spdlog-vendor (1.4.3-2jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#31 <https://github.com/ros2/spdlog_vendor/issues/31>)
  * Contributors: Audrow Nash

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 12 Feb 2023 16:00:00 -0000

ros-iron-spdlog-vendor (1.4.2-2jammy) jammy; urgency=high

  * Update to spdlog 1.9.1 (#27 <https://github.com/ros2/spdlog_vendor/issues/27>)
  * Contributors: Chris Lalancette

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 01 Nov 2022 16:00:00 -0000

ros-iron-spdlog-vendor (1.4.1-2jammy) jammy; urgency=high

  * Fixes policy CMP0135 warning for CMake >= 3.24 (#30 <https://github.com/ros2/spdlog_vendor/issues/30>)
  * build shared lib only if BUILD_SHARED_LIBS is set (#29 <https://github.com/ros2/spdlog_vendor/issues/29>)
  * Mirror rolling to master
  * xml tag order
  * updating maintainer
  * Contributors: Audrow Nash, Cristóbal Arroyo, Dharini Dutia, hannes09

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 12 Sep 2022 16:00:00 -0000

ros-iron-spdlog-vendor (1.4.0-2jammy) jammy; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 03 May 2022 16:00:00 -0000

ros-iron-spdlog-vendor (1.3.0-2jammy) jammy; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#24 <https://github.com/ros2/spdlog_vendor/issues/24>)
  * Update to spdlog 1.8.2 (#23 <https://github.com/ros2/spdlog_vendor/issues/23>)
  * Contributors: Chris Lalancette, shonigmann

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-iron-spdlog-vendor (1.2.2-2jammy) jammy; urgency=high

  * Remove a stale TODO (#22 <https://github.com/ros2/spdlog_vendor/issues/22>)
  * Always preserve source permissions in vendor packages (#20 <https://github.com/ros2/spdlog_vendor/issues/20>)
  * Contributors: Scott K Logan

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-iron-spdlog-vendor (1.2.1-2jammy) jammy; urgency=high

  * Remove unnecessary call to find_package(PATCH) (#18 <https://github.com/ros2/spdlog_vendor/issues/18>)
  * Contributors: Chris Lalancette

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-iron-spdlog-vendor (1.2.0-2jammy) jammy; urgency=high

  * Updated QD to 1 (#16 <https://github.com/ros2/spdlog_vendor/issues/16>)
  * bump spdlog version to 1.6.1 (#15 <https://github.com/ros2/spdlog_vendor/issues/15>)
  * Bump QD to level 3 and updated QD (#14 <https://github.com/ros2/spdlog_vendor/issues/14>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#13 <https://github.com/ros2/spdlog_vendor/issues/13>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-iron-spdlog-vendor (1.1.2-2jammy) jammy; urgency=high

  * Add an external package QD for the spdlog library (#8 <https://github.com/ros2/spdlog_vendor/issues/8>)
  * Remove included extra ament_copyright (#12 <https://github.com/ros2/spdlog_vendor/issues/12>)
  * Enable Copyright linter tests + Add Contributing.md file (#11 <https://github.com/ros2/spdlog_vendor/issues/11>)
  * Add quality declaration spdlog_vendor (#6 <https://github.com/ros2/spdlog_vendor/issues/6>)
  * Contributors: Jorge Perez, Scott K Logan

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-iron-spdlog-vendor (1.1.1-2jammy) jammy; urgency=high

  * Silence warning from GNUInstallDirs on Windows. (#10 <https://github.com/ros2/spdlog_vendor/issues/10>)

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 23 Apr 2020 16:00:00 -0000

ros-iron-spdlog-vendor (1.1.0-2jammy) jammy; urgency=high

  * suppress sign conversion warning (#7 <https://github.com/ros2/spdlog_vendor/issues/7>)
  * Fix linting (#3 <https://github.com/ros2/spdlog_vendor/issues/3>)
  * Spdlog vendor update (#2 <https://github.com/ros2/spdlog_vendor/issues/2>)
  * Enable linter tests on spdlog_vendor (#1 <https://github.com/ros2/spdlog_vendor/issues/1>)
  * Contributors: Anas Abou Allaban, Chris Lalancette, Jorge Perez, Karsten Knese

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 09 Apr 2020 16:00:00 -0000

ros-iron-spdlog-vendor (1.0.1-2jammy) jammy; urgency=high

  * Add spdlog depend to the package.xml
  * Don't build the benchmark, tests, or examples.
  * Initial commit.
  * Contributors: Chris Lalancette

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 02 Oct 2019 16:00:00 -0000
